org.springframework.web.servlet.view.tiles3

## Class SpringBeanPreparerFactory

- java.lang.Object
- - org.springframework.web.servlet.view.tiles3.AbstractSpringPreparerFactory
  - - org.springframework.web.servlet.view.tiles3.SpringBeanPreparerFactory

All Implemented Interfaces:
  PreparerFactory

    public class SpringBeanPreparerFactory
    extends AbstractSpringPreparerFactory

Tiles3 `PreparerFactory` implementation that expects preparer bean names and obtains preparer beans from the Spring ApplicationContext. The full bean creation process will be in the control of the Spring application context in this case, allowing for the use of scoped beans etc.

Since:
  3.2
Author:
  Juergen Hoeller
See Also:
  `SimpleSpringPreparerFactory`

### Constructor Summary

Constructors
Constructor and Description
`SpringBeanPreparerFactory()`

### Method Summary

Methods
`protected ViewPreparer` `getPreparer(String name, WebApplicationContext context)` Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

### Methods inherited from class org.springframework.web.servlet.view.tiles3.AbstractSpringPreparerFactory

`getPreparer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpringBeanPreparerFactory

    public SpringBeanPreparerFactory()

### Method Detail

#### getPreparer

    protected ViewPreparer getPreparer(String name,
                           WebApplicationContext context)
                                throws TilesException

Description copied from class: `AbstractSpringPreparerFactory`
Obtain a preparer instance for the given preparer name, based on the given Spring WebApplicationContext.

Specified by:
  `getPreparer` in class `AbstractSpringPreparerFactory`
Parameters:
  `name` - the name of the preparer
  `context` - the current Spring WebApplicationContext
Returns:
  the preparer instance
Throws:
  `TilesException` - in case of failure